#pragma once
#include "Entity.h"
#define CS_IRONHEADANI_CREATENAME L"CS_ironhead_animate"
//铁头
class CS_IronheadAni :
    public Entity
{
public:
    CS_IronheadAni();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    //动画
    int stateID = 0;
    float floatSrcY = 0;
    float animation_moveSpeed = 0x200 / ts;
    bool animation_delay = false;//走路动画延迟一帧（对齐到整格）
};

std::shared_ptr<Entity> CreateCS_IronheadAni();